<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    tools:background="@color/black">

    <com.adealink.frame.image.view.NetworkImageView
        android:id="@+id/iv_bg"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:actualImageScaleType="fitXY"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintDimensionRatio="343:66"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:placeholderImageScaleType="fitXY" />

    <com.adealink.frame.image.view.NetworkImageView
        android:id="@+id/iv_icon"
        android:layout_width="46dp"
        android:layout_height="46dp"
        android:layout_marginStart="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="6dp"
        android:fontFamily="@font/poppins_semibold"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/white"
        android:textSize="14sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toTopOf="@id/iv_coin"
        app:layout_constraintEnd_toStartOf="@id/right_barrier"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toEndOf="@id/iv_icon"
        app:layout_constraintTop_toTopOf="@id/iv_bg"
        app:layout_constraintVertical_chainStyle="packed"
        tools:text="LoL" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_coin"
        android:layout_width="13dp"
        android:layout_height="13dp"
        app:layout_constraintBottom_toBottomOf="@id/iv_bg"
        app:layout_constraintStart_toStartOf="@id/tv_title"
        app:layout_constraintTop_toBottomOf="@id/tv_title"
        app:srcCompat="@drawable/common_wallet_coin_ic" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_desc"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="2dp"
        android:layout_marginEnd="6dp"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/white"
        android:textSize="12sp"
        app:fontFamily="@font/poppins_semibold"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="@id/iv_coin"
        app:layout_constraintEnd_toStartOf="@id/right_barrier"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toEndOf="@id/iv_coin"
        app:layout_constraintTop_toTopOf="@id/iv_coin"
        tools:text="LoLLoLLoLLoLLoL" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/right_barrier"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="start"
        app:constraint_referenced_ids="btn_order" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/btn_order"
        android:layout_width="wrap_content"
        android:layout_height="22dp"
        android:layout_marginEnd="14dp"
        android:background="@drawable/profile_skill_item_order_bg"
        android:minWidth="60dp"
        app:layout_constraintBottom_toBottomOf="@id/iv_bg"
        app:layout_constraintEnd_toEndOf="@id/iv_bg"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_go"
            android:layout_width="wrap_content"
            android:layout_height="22dp"
            android:layout_marginStart="8dp"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="@string/profile_go_order"
            android:textColor="@color/white"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_order_go"
            android:layout_width="wrap_content"
            android:layout_height="17dp"
            android:layout_marginStart="-8dp"
            android:layout_marginEnd="15.2dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_order_go"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/profile_order_go_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>